> For the complete documentation index, see [llms.txt](https://developer.magtek.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.magtek.com/sdks-and-tools/universal-sdk-documentation/ios/configurationinfo.md).

# ConfigurationInfo

Create an instance of the IDeviceConfiguration using IDevice.getDeviceConfiguration. Then use the function calls described in this chapter.

### configType <a href="#id-10.1_configtype" id="id-10.1_configtype"></a>

This property is for the configuration type.

{% code overflow="wrap" %}

```
Byte configType;
```

{% endcode %}

Return Value:

* 0x01 = Device Settings
* 0x02 = Device Information

### OidAndValue <a href="#id-10.2_oidandvalue" id="id-10.2_oidandvalue"></a>

This property is for the Object ID and value.

{% code overflow="wrap" %}

```
NSData* OidAndValue;
```

{% endcode %}

Return Value:

The OID and value.

### fromASN1Oid <a href="#id-10.3_fromasn1oid" id="id-10.3_fromasn1oid"></a>

This function is for reading and setting the device OID properties.

{% code overflow="wrap" %}

```
(nullable instancetype) initWithASN1Oid: (NSString*) oidPath;

(nullable instancetype) initWithASN1Oid: (NSString*) oidPath
                                hexValue: (NSString*) value;

(nullable instancetype) initWithASN1Oid: (NSString*) oidPath
                                value: (nullable NSData*) data;
```

{% endcode %}

<table data-header-hidden><thead><tr><th width="168.09088134765625" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Parameter</td><td valign="top">Description</td></tr><tr><td valign="top">oidPath</td><td valign="top">Object ID path.</td></tr><tr><td valign="top">value</td><td valign="top">Hexadecimal string containing the value.</td></tr><tr><td valign="top">data</td><td valign="top">Data array containing the value.</td></tr></tbody></table>

Return Value:

OID property value.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.magtek.com/sdks-and-tools/universal-sdk-documentation/ios/configurationinfo.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
